
From: Adrian Bunk <bunk@stusta.de>

There's no reason for keeping a write-only variable.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/alpha/kernel/setup.c  |    2 --
 25-akpm/arch/arm/kernel/setup.c    |    2 --
 25-akpm/arch/arm26/kernel/setup.c  |    1 -
 25-akpm/arch/cris/kernel/setup.c   |    2 --
 25-akpm/arch/i386/kernel/setup.c   |    3 ---
 25-akpm/arch/ia64/kernel/setup.c   |    2 --
 25-akpm/arch/ppc/kernel/setup.c    |    1 -
 25-akpm/arch/sh/kernel/setup.c     |    1 -
 25-akpm/arch/sh64/kernel/setup.c   |    4 ----
 25-akpm/arch/x86_64/kernel/setup.c |    3 ---
 10 files changed, 21 deletions(-)

diff -puN arch/alpha/kernel/setup.c~kill-aux_device_present arch/alpha/kernel/setup.c
--- 25/arch/alpha/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/alpha/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -111,8 +111,6 @@ struct alpha_machine_vector alpha_mv;
 int alpha_using_srm;
 #endif
 
-unsigned char aux_device_present = 0xaa;
-
 #define N(a) (sizeof(a)/sizeof(a[0]))
 
 static struct alpha_machine_vector *get_sysvec(unsigned long, unsigned long,
diff -puN arch/arm26/kernel/setup.c~kill-aux_device_present arch/arm26/kernel/setup.c
--- 25/arch/arm26/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/arm26/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -74,7 +74,6 @@ unsigned int number_mfm_drives;
 
 struct processor processor;
 
-unsigned char aux_device_present;
 char elf_platform[ELF_PLATFORM_SIZE];
 
 unsigned long phys_initrd_start __initdata = 0;
diff -puN arch/arm/kernel/setup.c~kill-aux_device_present arch/arm/kernel/setup.c
--- 25/arch/arm/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/arm/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -92,8 +92,6 @@ struct cpu_user_fns cpu_user;
 struct cpu_cache_fns cpu_cache;
 #endif
 
-unsigned char aux_device_present;
-
 char elf_platform[ELF_PLATFORM_SIZE];
 EXPORT_SYMBOL(elf_platform);
 
diff -puN arch/cris/kernel/setup.c~kill-aux_device_present arch/cris/kernel/setup.c
--- 25/arch/cris/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/cris/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -26,8 +26,6 @@
 struct drive_info_struct { char dummy[32]; } drive_info;
 struct screen_info screen_info;
 
-unsigned char aux_device_present;
-
 extern int root_mountflags;
 extern char _etext, _edata, _end;
 
diff -puN arch/i386/kernel/setup.c~kill-aux_device_present arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/i386/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -120,8 +120,6 @@ struct edid_info edid_info;
 struct ist_info ist_info;
 struct e820map e820;
 
-unsigned char aux_device_present;
-
 extern void early_cpu_init(void);
 extern void dmi_scan_machine(void);
 extern void generic_apic_probe(char *);
@@ -1439,7 +1437,6 @@ void __init setup_arch(char **cmdline_p)
 		machine_submodel_id = SYS_DESC_TABLE.table[1];
 		BIOS_revision = SYS_DESC_TABLE.table[2];
 	}
-	aux_device_present = AUX_DEVICE_INFO;
 	bootloader_type = LOADER_TYPE;
 
 #ifdef CONFIG_BLK_DEV_RAM
diff -puN arch/ia64/kernel/setup.c~kill-aux_device_present arch/ia64/kernel/setup.c
--- 25/arch/ia64/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/ia64/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -75,8 +75,6 @@ struct io_space io_space[MAX_IO_SPACES];
 EXPORT_SYMBOL(io_space);
 unsigned int num_io_spaces;
 
-unsigned char aux_device_present = 0xaa;        /* XXX remove this when legacy I/O is gone */
-
 /*
  * The merge_mask variable needs to be set to (max(iommu_page_size(iommu)) - 1).  This
  * mask specifies a mask of address bits that must be 0 in order for two buffers to be
diff -puN arch/ppc/kernel/setup.c~kill-aux_device_present arch/ppc/kernel/setup.c
--- 25/arch/ppc/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -56,7 +56,6 @@ extern void ppc6xx_idle(void);
 extern void power4_idle(void);
 
 extern boot_infos_t *boot_infos;
-unsigned char aux_device_present;
 struct ide_machdep_calls ppc_ide_md;
 char *sysmap;
 unsigned long sysmap_size;
diff -puN arch/sh64/kernel/setup.c~kill-aux_device_present arch/sh64/kernel/setup.c
--- 25/arch/sh64/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/sh64/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -65,10 +65,6 @@
 
 struct screen_info screen_info;
 
-/* On a PC this would be initialised as a result of the BIOS detecting the
- * mouse. */
-unsigned char aux_device_present = 0xaa;
-
 #ifdef CONFIG_BLK_DEV_RAM
 extern int rd_doload;		/* 1 = load ramdisk, 0 = don't load */
 extern int rd_prompt;		/* 1 = prompt for ramdisk, 0 = don't prompt */
diff -puN arch/sh/kernel/setup.c~kill-aux_device_present arch/sh/kernel/setup.c
--- 25/arch/sh/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/sh/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -43,7 +43,6 @@ extern void * __rd_start, * __rd_end;
  */
 struct sh_cpuinfo boot_cpu_data = { CPU_SH_NONE, 0, 10000000, };
 struct screen_info screen_info;
-unsigned char aux_device_present = 0xaa;
 
 #if defined(CONFIG_SH_UNKNOWN)
 struct sh_machine_vector sh_mv;
diff -puN arch/x86_64/kernel/setup.c~kill-aux_device_present arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~kill-aux_device_present	2005-02-22 18:19:36.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/setup.c	2005-02-22 18:19:36.000000000 -0800
@@ -104,8 +104,6 @@ struct sys_desc_table_struct {
 struct edid_info edid_info;
 struct e820map e820;
 
-unsigned char aux_device_present;
-
 extern int root_mountflags;
 extern char _text, _etext, _edata, _end;
 
@@ -527,7 +525,6 @@ void __init setup_arch(char **cmdline_p)
  	drive_info = DRIVE_INFO;
  	screen_info = SCREEN_INFO;
 	edid_info = EDID_INFO;
-	aux_device_present = AUX_DEVICE_INFO;
 	saved_video_mode = SAVED_VIDEO_MODE;
 	bootloader_type = LOADER_TYPE;
 
_
